1. Receptionist
HMS
  • Features
  • Public API
    • change_password
      POST
    • get_my_info
      GET
    • Login
      POST
    • Register Patient
      POST
    • Get Doctor List
      GET
    • Get Ward List
      GET
    • Get Team List
      GET
    • Get Team Info
      GET
  • Patient
    • patient/book
      POST
    • patient query appointments
      GET
    • patient edit appointments
      POST
    • patient cancel appointments
      DELETE
    • patient get current ward
      GET
  • Receptionist
    • receptionist query appointments
      GET
    • receptionist process_appointment
      POST
    • receptionist check in
      POST
  • Doctor
    • doctor query appointments
      GET
    • doctor treat
      POST
    • Get Patient Info
      GET
    • Get Patient List
      GET
  • Admin
    • Admin transfer ward
      POST
    • Admin patient discharge
      POST
    • Admin Create ward
      POST
    • Admin Edit ward
      POST
    • Admin Delete ward
      DELETE
    • Admin Create doctor team
      POST
    • Admin Delete doctor team
      DELETE
    • Admin Set Doctor Resigned
      POST
    • Admin Register User
      POST
    • Admin Edit Team Info
      POST
    • Admin Edit Doctor Info
      POST
    • Admin Edit Patient Info
      POST
    • Admin Reset User Password
      POST
    • Admin Reset User Password From Role ID
      POST
    • Admin Get Patient List
      GET
  • Info Output
    • Get Patients in ward
    • Get Team Patients
    • Get Treatment Records
  1. Receptionist

receptionist check in

POST
/receptionist/check_in

Request

Header Params

Body Params application/json

Example
{
    "appointment_id": 0,
    "ward_id": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/receptionist/check_in' \
--header 'Authorization: t05lRfUyaBLHqVbZDmxuirGC8XhY7IOS' \
--header 'Content-Type: application/json' \
--data-raw '{
    "appointment_id": 0,
    "ward_id": 0
}'

Responses

🟢200成功
application/json
Body

Example
{}
Modified at 2025-04-23 22:00:35
Previous
receptionist process_appointment
Next
doctor query appointments
Built with